Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbMapElement.JaxbMapKeyManyToMany

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbMapElement.JaxbMapKeyManyToMany

Enclosing class:
  JaxbMapElement

    public static class JaxbMapElement.JaxbMapKeyManyToMany

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
               <element name="formula" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
           </sequence>
           <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="foreign-key" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formula" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `clazz`
`protected String` | `column`
`protected List<Object>` | `columnOrFormula`
`protected String` | `entityName`
`protected String` | `foreignKey`
`protected String` | `formula`

Constructor Summary
`JaxbMapElement.JaxbMapKeyManyToMany()`

Method Summary
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getColumn()` Gets the value of the column property.
`List<Object>` | `getColumnOrFormula()` Gets the value of the columnOrFormula property.
`String` | `getEntityName()` Gets the value of the entityName property.
`String` | `getForeignKey()` Gets the value of the foreignKey property.
`String` | `getFormula()` Gets the value of the formula property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setColumn(String value)` Sets the value of the column property.
`void` | `setEntityName(String value)` Sets the value of the entityName property.
`void` | `setForeignKey(String value)` Sets the value of the foreignKey property.
`void` | `setFormula(String value)` Sets the value of the formula property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnOrFormula

    protected List<Object> columnOrFormula

### clazz

    protected String clazz

### column

    protected String column

### entityName

    protected String entityName

### foreignKey

    protected String foreignKey

### formula

    protected String formula

Constructor Detail

### JaxbMapElement.JaxbMapKeyManyToMany

    public JaxbMapElement.JaxbMapKeyManyToMany()

Method Detail

### getColumnOrFormula

    public List<Object> getColumnOrFormula()

  Gets the value of the columnOrFormula property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columnOrFormula property.

  For example, to add a new item, do as follows:

          getColumnOrFormula().add(newItem);

  Objects of the following type(s) are allowed in the list `String` `JaxbColumnElement`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getColumn

    public String getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `String`

### setColumn

    public void setColumn(String value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `String`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getForeignKey

    public String getForeignKey()

  Gets the value of the foreignKey property.

  Returns:
    possible object is `String`

### setForeignKey

    public void setForeignKey(String value)

  Sets the value of the foreignKey property.

  Parameters:
    `value` - allowed object is `String`

### getFormula

    public String getFormula()

  Gets the value of the formula property.

  Returns:
    possible object is `String`

### setFormula

    public void setFormula(String value)

  Sets the value of the formula property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.